Bug 97221 - Extraverion doesn't work
Summary: Extraverion doesn't work
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-11 16:55 UTC by Tobias Oed
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-22 18:12:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tobias Oed 2003-06-11 16:55:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
Compile any of the red hat 9 kernels from the source rpms with  extraversion non null in the toplevel makefile. 

After make modules_install the modules are installed in /lib/modules/version-extraversion. 

When booting that kernel, the version (as reported by uname) doesn't include the extraversion part and so no modules are ever found.
Tobias

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-xxx.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Compile kernel with extraversion 
2. make modules_install install
3. boot the new kernel
    

Actual Results:  Modules are not found. (the first failure is by depmod at boot)

Expected Results:  Find the modules

Additional info:

Comment 1 Arjan van de Ven 2003-06-11 17:29:24 UTC
the only way you can fudze with the EXTRAVERSION when you build from src.rpm is
to change the Release: field in the spec.

Comment 2 Tobias Oed 2003-06-11 18:22:33 UTC
My fault. I meant compiling the kernel after installing the kernel sources 
from the rpm 
kernel-source-2.4.20-18.9.i386.rpm 
(same with -13.9) 
You don't have to edit anything, extraversion is set in the makefile. 
Tobias 
 

Comment 3 Arjan van de Ven 2003-06-11 18:25:56 UTC
ok for that you need to start with make mrproper
that way you can be sure version.h (the important part) gets remade

Comment 4 Tobias Oed 2003-06-12 00:25:21 UTC
Ah ha! A make mrproper does indeed fix the problem. Strange that a fresh 
install of the sources from the rpm would require that though. 
Tobias. 
 


Note You need to log in before you can comment on or make changes to this bug.